Ask Your Question
0

gazebo 6.0 conflict with gazebo 2.2.6(came with ROS indigo)

asked 2016-01-09 08:19:45 -0500

wkyoun gravatar image

When I finished installing ROS Indigo, I noticed that it already came with Gazebo(version2.2.6).

I tried to directly install the 6.0 Gazebo,

but, it was not possible because it looks like 6.0 version and 2.2.6 version conflict with each other.

Actually, I have tried to install gazebo as described in

http://gazebosim.org/tutorials?tut=in...

but, it says that : E: Unable to correct problems, you have held broken package

It looks like that I have Gazebo(version2.2.6) cause this problem

(gazebo which command indicate that I have Gazebo(version2.2.6)

How can I remove Gazebo(version2.2.6) came with ROS indigo?

I don't know how to remove Gazebo(version2.2.6) and install gazebo > 6.0 in order to

run make posix_sitl_default gazebo as described in http://dev.px4.io/simulation-gazebo.html

My situation is as follows:


wkyoun@wkyoun-XPS-13-9343:~$ sudo apt-get install gazebo6

[sudo] password for wkyoun: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gazebo6 : Depends: libgazebo6 (= 6.5.1-1~trusty) but it is not going to be installed
           Depends: libsdformat3 but it is not going to be installed
           Depends: gazebo6-common (= 6.5.1-1~trusty) but it is not going to be installed
           Recommends: gazebo6-plugin-base
E: Unable to correct problems, you have held broken packages.

Also, I tried to run Gazebo as described in

http://dev.px4.io/simulation-gazebo.html

but the error is found:


wkyoun@wkyoun-XPS-13-9343:~/Firmware$ make posix_sitl_default gazebo

 make -C /home/wkyoun/Firmware/build_posix_sitl_default -j4 --no-print-directory gazebo
[  2%] Built target df_driver_framework
[  3%] Built target git_matrix
[  3%] Built target git_genmsg
[  4%] Built target git_gencpp
[  4%] Built target prebuild_targets
[  4%] Built target git_mavlink
[  5%] Built target generate_topic_listener
[  6%] Built target xml_gen
[  6%] Built target git_driverframework
[  6%] Built target mixer_gen
[  7%] [  7%] Built target msg_gen
Built target git_jmavsim
[  7%] Built target git_gazebo
[  7%] Built target git_uavcan
[  7%] Built target platforms__common
[  8%] Built target drivers__boards__sitl
[  8%] Built target drivers__pwm_out_sim
[ 11%] Built target platforms__posix__px4_layer
[ 15%] Built target drivers__device
[ 15%] [ 15%] Built target platforms__posix__drivers__gpssim
Built target platforms__posix__drivers__adcsim
[ 16%] [ 23%] Built target platforms__posix__drivers__tonealrmsim
Built target platforms__posix__work_queue
[ 24%] [ 25%] Built target platforms__posix__drivers__accelsim
Built target platforms__posix__drivers__ledsim
[ 26%] Built target platforms__posix__drivers__airspeedsim
[ 27%] Built target platforms__posix__drivers__barosim
[ 27%] Built target platforms__posix__drivers__rgbledsim
[ 27%] Built target systemcmds__param
[ 27%] Built target platforms__posix__drivers__gyrosim
[ 27%] Built target systemcmds__esc_calib
[ 28%] Built target systemcmds__mixer
[ 29%] Built target systemcmds__ver
[ 29%] Built target systemcmds__reboot
[ 30%] Built target systemcmds__topic_listener
[ 31%] Built target systemcmds__perf
[ 32%] Built target modules__param
[ 32%] Built target modules__sensors
[ 37%] Built target modules__uORB
[ 40%] Built target modules__systemlib__mixer
[ 41%] Built target modules__attitude_estimator_ekf
[ 42%] Built target modules__simulator
[ 43%] Built target modules__attitude_estimator_q
[ 48%] Built target modules__mavlink
[ 49%] Built target modules__ekf_att_pos_estimator
[ 51%] [ 54%] Built target modules__position_estimator_inav
Built target modules__vtol_att_control
[ 55 ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2016-01-12 01:45:03 -0500

F.Brosseau gravatar image

updated 2016-01-12 01:47:33 -0500

For the installation, you should probably follow these links :

ros and gazebo install

gazebo_ros_pkgs

To uninstall, maybe you can try : sudo apt-get remove gazebo2 (you can do dpkg -l | grep -i gazebo to see which packages are installed)

edit flag offensive delete link more
0

answered 2016-01-12 02:55:11 -0500

You also have to remove some related libraries. After performing

sudo apt-get remove sdformat-sdf libsdformat3

You should be able to install Gazebo6. Note that I'm not 100% sure on the "libsdformat" removal, try libsdf[TAB] for autocompletion.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2016-01-09 08:19:45 -0500

Seen: 1,091 times

Last updated: Jan 12 '16